Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | COMPLEX TYPES | SIMPLE TYPES | GROUPS | ATTRIBUTE GROUPS | FRAMES | NO FRAMES

## namespace http://www.w3.org/1999/xhtml-netuix-modified/1.0.0

See:
  Description

Element Summary
a | content is "Inline" except that anchors shouldn't be nested
abbr | abbreviation
acronym | acronym
address | information on author
area |
b | bold font
base | document base URI
bdo | I18N BiDi over-ride
big | bigger font
blockquote |
body |
br | forced line break
button | Content is "Flow" excluding a, form and form controls
caption |
cite | citation
code | program code
col | col elements define the alignment properties for cells in one or more columns.
colgroup | colgroup groups a set of col elements.
dd |
del |
dfn | definitional
div | generic language/style container
dl |
dt |
em | emphasis
fieldset | The fieldset element is used to group form fields.
form |
h1 |
h2 |
h3 |
h4 |
h5 |
h6 |
head | content model is "head.
hr |
html |
i | italic font
img |
inputbutton |
inputcheckbox |
inputfile |
inputhidden |
inputimage |
inputpassword |
inputradio |
inputreset |
inputsubmit |
inputtext |
ins |
kbd | something user would type
label | Each label must not contain more than ONE field Label elements shouldn't be nested.
legend | fieldset label
li | list item
link | Relationship values can be used in principle: a) for document specific toolbars/menus when used with the link element in document head e.
map |
meta | generic metainformation
noscript | alternate content container for non script-based rendering
objecttag |
ol | Ordered (numbered) list
optgroup | option group
option | selectable choice
p |
param | param is used to supply a named property value.
pre | content is "Inline" excluding "img|object|big|small|sub|sup"
q | inlined quote
samp | sample
script | script statements, which may include CDATA sections
select | option selector
small | smaller font
span | generic language/style container
strong | strong emphasis
style | style info, which may include CDATA sections
sub | subscript
sup | superscript
table |
tbody |
td |
textarea | multi-line text field
tfoot |
th |
thead |
title | The title element is not considered part of the flow of text.
tr |
tt | fixed pitch font
ul | Unordered list
var | variable

Complex Type Summary
a.content | a elements use "Inline" excluding a
Block |
button.content | button uses "Flow" but excludes a, form and form controls
Flow | "Flow" mixes block and inline and is used for list items etc.
form.content | form uses "Block" excluding form
Inline | "Inline" covers inline or "text-level" elements
InputTagType |
pre.content | pre uses "Inline" excluding big, small, sup or sup

Simple Type Summary
Character | a single character, as per section 2.
Charset | a character encoding, as per [RFC2045]
Charsets | a space separated list of character encodings, as per [RFC2045]
ContentType | media type, as per [RFC2045]
ContentTypes | comma-separated list of media types, as per [RFC2045]
Coords | comma separated list of lengths
Datetime | date and time information.
InputType |
LanguageCode | a language code, as per [RFC3066]
Length | nn for pixels or nn% for percentage length
LinkTypes | space-separated list of link types
MediaDesc | single or comma-separated list of media descriptors
MultiLength | pixel, percentage, or relative
Number | one or more digits
Pixels | integer representing length in pixels
Scope | Scope is simpler than headers attribute for common tables
Script | script expression
Shape |
StyleSheet | style sheet data
tabindexNumber | tabindex attribute specifies the position of the current element in the tabbing order for the current document.
Text | used for titles etc.
TFrame | The border attribute sets the thickness of the frame around the table.
TRules | The rules attribute defines which rules to draw between cells: If rules is absent then assume: "none" if border is absent or border="0" otherwise "all"
URI | a Uniform Resource Identifier, see [RFC2396]
UriList | a space separated list of Uniform Resource Identifiers

Group Summary
(block) |
(blocktext) |
(fontstyle) |
(head.misc) |
(heading) |
(inline) |
(inline.forms) |
(lists) |
(misc) | these can only occur at block level
(misc.inline) |
(phrase) |
(special) |
(special.pre) |

Attribute Group Summary
@(attrs) |
@(cellhalign) | horizontal alignment attributes for cell contents character alignment char, e.
@(cellvalign) | vertical alignment attributes for cell contents
@(coreattrs) | core attributes common to most elements htmlId document-wide unique id cssClass space separated list of classes style associated style info title advisory title/amplification
@(events) | attributes for common UI events _onclick a pointer button was clicked _ondblclick a pointer button was double clicked _onmousedown a pointer button was pressed down _onmouseup a pointer button was released _onmousemove a pointer was moved onto the element _onmouseout a pointer was moved away from the element _onkeypress a key was pressed and released _onkeydown a key was pressed down _onkeyup a key was released
@(focus) | attributes for elements that can get the focus accesskey accessibility key character tabindex position in tabbing order _onfocus the element got the focus _onblur the element lost the focus
@(i18n) | internationalization attributes lang language code (backwards compatible) xml:lang language code (as per XML 1.

### Description of namespace http://www.w3.org/1999/xhtml-netuix-modified/1.0.0

        Note is a modified version of the
        XHTML 1.0 (Second Edition) Strict in XML Schema

        This is the same as HTML 4 Strict except for
        changes due to the differences between XML and SGML.

        Namespace = http://www.w3.org/1999/xhtml

        For further information, see: http://www.w3.org/TR/xhtml1

        Copyright (c) 1998-2002 W3C (MIT, INRIA, Keio),
        All Rights Reserved.

        The DTD version is identified by the PUBLIC and SYSTEM identifiers:

        PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        SYSTEM "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"

        $Id: xhtml1-strict.xsd,v 1.2 2002/08/28 08:05:44 mimasa Exp $

        ================ Character mnemonic entities =========================

        XHTML entity sets are identified by the PUBLIC and SYSTEM identifiers:

        PUBLIC "-//W3C//ENTITIES Latin 1 for XHTML//EN"
        SYSTEM "http://www.w3.org/TR/xhtml1/DTD/xhtml-lat1.ent"

        PUBLIC "-//W3C//ENTITIES Special for XHTML//EN"
        SYSTEM "http://www.w3.org/TR/xhtml1/DTD/xhtml-special.ent"

        PUBLIC "-//W3C//ENTITIES Symbols for XHTML//EN"
        SYSTEM "http://www.w3.org/TR/xhtml1/DTD/xhtml-symbol.ent"

        ================== Imported Names ====================================

        these are used for image maps

        =================== Generic Attributes ===============================

        =================== Text Elements ====================================

        ================== Block level elements ==============================

        ================== Content models for exclusions =====================

        ================ Document Structure ==================================

        ================ Document Head =======================================

        =================== Document Body ====================================

        =================== Paragraphs =======================================

        =================== Headings =========================================

        There are six levels of headings from h1 (the most important)
        to h6 (the least important).

        =================== Lists ============================================

        definition lists - dt for term, dd for its definition

        =================== Address ==========================================

        =================== Horizontal Rule ==================================

        =================== Preformatted Text ================================

        =================== Block-like Quotes ================================

        =================== Inserted/Deleted Text ============================

        ins/del are allowed in block and inline content, but its
        inappropriate to include block content within an ins element
        occurring in inline content.

        ================== The Anchor Element ================================

        ===================== Inline Elements ================================

        ==================== objecttag ======================================

        objecttag is used to embed objects as part of HTML pages.
        param elements should precede other content. Parameters
        can also be expressed as attribute/value pairs on the
        objecttag element itself when brevity is desired.

        =================== Images ===========================================

        To avoid accessibility problems for people who aren't
        able to see the image, you should provide a text
        description using the alt and longdesc attributes.
        In addition, avoid the use of server-side image maps.
        Note that in this DTD there is no name attribute. That
        is only available in the transitional and frameset DTD.

        ================== Client-side image maps ============================

        These can be placed in the same document or grouped in a
        separate document although this isn't yet widely supported

        ================ Forms ===============================================

        ======================= Tables =======================================

        Derived from IETF HTML table standard, see [RFC1942]

        Use thead to duplicate headers when breaking table
        across page boundaries, or for static headers when
        tbody sections are rendered in scrolling panel.

        Use tfoot to duplicate footers when breaking table
        across page boundaries, or for static footers when
        tbody sections are rendered in scrolling panel.

        Use multiple tbody sections when rules are needed
        between groups of table rows.

        th is for headers, td for data and for cells acting as both

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | COMPLEX TYPES | SIMPLE TYPES | GROUPS | ATTRIBUTE GROUPS | FRAMES | NO FRAMES